Package com.sap.ai.sdk.grounding.model

# Enum Class RetrievalScopedKeyValueListPair.ScopeEnum

java.lang.Object
java.lang.Enum<RetrievalScopedKeyValueListPair.ScopeEnum>
com.sap.ai.sdk.grounding.model.RetrievalScopedKeyValueListPair.ScopeEnum

All Implemented Interfaces:
  `Serializable`, `Comparable<RetrievalScopedKeyValueListPair.ScopeEnum>`, `Constable`

Enclosing class:
  `RetrievalScopedKeyValueListPair`

public static enum RetrievalScopedKeyValueListPair.ScopeEnum extends Enum<RetrievalScopedKeyValueListPair.ScopeEnum>
Gets or Sets scope

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CHUNK`
  The CHUNK option of this RetrievalScopedKeyValueListPair
  `DOCUMENT`
  The DOCUMENT option of this RetrievalScopedKeyValueListPair
  `REPOSITORY`
  The REPOSITORY option of this RetrievalScopedKeyValueListPair
  `UNKNOWN_DEFAULT_OPEN_API`
  The UNKNOWN_DEFAULT_OPEN_API option of this RetrievalScopedKeyValueListPair

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RetrievalScopedKeyValueListPair.ScopeEnum`
  `fromValue(String value)`
  Get the enum value from a String value
  `String`
  `getValue()`
  Get the value of the enum
  `String`
  `toString()`
  Get the String value of the enum value.
  `static RetrievalScopedKeyValueListPair.ScopeEnum`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static RetrievalScopedKeyValueListPair.ScopeEnum[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### REPOSITORY

    public static final RetrievalScopedKeyValueListPair.ScopeEnum REPOSITORY
    The REPOSITORY option of this RetrievalScopedKeyValueListPair

  - ### DOCUMENT

    public static final RetrievalScopedKeyValueListPair.ScopeEnum DOCUMENT
    The DOCUMENT option of this RetrievalScopedKeyValueListPair

  - ### CHUNK

    public static final RetrievalScopedKeyValueListPair.ScopeEnum CHUNK
    The CHUNK option of this RetrievalScopedKeyValueListPair

  - ### UNKNOWN_DEFAULT_OPEN_API

    public static final RetrievalScopedKeyValueListPair.ScopeEnum UNKNOWN_DEFAULT_OPEN_API
    The UNKNOWN_DEFAULT_OPEN_API option of this RetrievalScopedKeyValueListPair

- ## Method Details

  - ### values

    public static RetrievalScopedKeyValueListPair.ScopeEnum[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static RetrievalScopedKeyValueListPair.ScopeEnum valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    @Nonnull public String getValue()
    Get the value of the enum
    Returns:
      The enum value

  - ### toString

    @Nonnull public String toString()
    Get the String value of the enum value.
    Overrides:
      `toString` in class `Enum<RetrievalScopedKeyValueListPair.ScopeEnum>`
    Returns:
      The enum value as String

  - ### fromValue

    @Nonnull public static RetrievalScopedKeyValueListPair.ScopeEnum fromValue(@Nonnull String value)
    Get the enum value from a String value
    Parameters:
      `value` - The String value
    Returns:
      The enum value of type RetrievalScopedKeyValueListPair